PDA

View Full Version : SLES 12 Missing repository for sqlite3-devel



Doenermaschiene
16-Jan-2018, 11:37
Hello,

first of all - sorry for asking, but we are new to SLES and more used to working with debian.

Hence, I hope this is the right place to ask. It seems as we are missing an important package for a project (sqlite3-devel).

I made a post in the open-suse forums.

https://forums.opensuse.org/showthread.php/529102-How-to-install-sqlite3-devel-on-SUSE?p=2851423&posted=1#post2851423

Can anyone point me out, how we can locate a fitting repository and how it is possible to add this repository in SLES, so that we are able to install the package via zypper?

thsundel
16-Jan-2018, 12:43
Hello,

first of all - sorry for asking, but we are new to SLES and more used to working with debian.

Hence, I hope this is the right place to ask. It seems as we are missing an important package for a project (sqlite3-devel).

I made a post in the open-suse forums.

https://forums.opensuse.org/showthread.php/529102-How-to-install-sqlite3-devel-on-SUSE?p=2851423&posted=1#post2851423

Can anyone point me out, how we can locate a fitting repository and how it is possible to add this repository in SLES, so that we are able to install the package via zypper?

My guess is that it's in the SDK repo: https://www.novell.com/support/kb/doc.php?id=7015337 for SLES11+ or https://www.suse.com/documentation/sles-12/book_sle_deployment/data/sec_add-ons_extensions.html if you use SLES12+

Thomas

malcolmlewis
16-Jan-2018, 13:14
On Tue 16 Jan 2018 10:44:02 AM CST, Doenermaschiene wrote:

Hello,

first of all - sorry for asking, but we are new to SLES and more used to
working with debian.

Hence, I hope this is the right place to ask. It seems as we are missing
an important package for a project (sqlite3-devel).

I made a post in the open-suse forums.

https://forums.opensuse.org/showthread.php/529102-How-to-install-sqlite3-devel-on-SUSE?p=2851423&posted=1#post2851423

Can anyone point me out, how we can locate a fitting repository and how
it is possible to add this repository in SLES, so that we are able to
install the package via zypper?




Hi
Since your using SUSE Manager, you will need to get the SuMA admin to
add the SLE SDK Pool and Update channels to install;

Repository : SLE-SDK12-SP3-Pool for x86_64 SLES-SP3
Name : sqlite3-devel

Also suggest you remove the openSUSE GCC one and also ask the SuMA
admin to add the Toolchain repo for supported gcc versions.

--
Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
openSUSE Leap 42.3|GNOME 3.20.2|4.4.104-39-default
If you find this post helpful and are logged into the web interface,
please show your appreciation and click on the star below... Thanks!

Doenermaschiene
16-Jan-2018, 14:15
Hi
Since your using SUSE Manager, you will need to get the SuMA admin to
add the SLE SDK Pool and Update channels to install;

Repository : SLE-SDK12-SP3-Pool for x86_64 SLES-SP3
Name : sqlite3-devel

Also suggest you remove the openSUSE GCC one and also ask the SuMA
admin to add the Toolchain repo for supported gcc versions.

--
Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
openSUSE Leap 42.3|GNOME 3.20.2|4.4.104-39-default
If you find this post helpful and are logged into the web interface,
please show your appreciation and click on the star below... Thanks!

Thanks a lot for your replies! We did as you suggested and contacted our admin. He deployed the missing repositories.